%%
%%  This is file `SBU_MSRT_A4.cls',
%%  The original file was xepersian-thesis.cls by Vafa Khalighi
%%   __________________________________
%%   Copyright © 2018-2019 Amir Hossein Sharafi
%%  
%% 
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{SBU_MSRT_A4}
              [11/11/2018 v0.1
Persian thesis document class in XeLaTeX for University of Shahid Beheshti thesis/dissertations under license of Ministry of Science Research and Technology in Iran]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions
\LoadClass{book}
\def\university#1{\gdef\@university{#1}}
\def\department#1{\gdef\@department{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\newcommand{\firstsupervisor}[1]{\def\@firstsupervisor{#1}}
\newcommand{\secondsupervisor}[1]{\def\@secondsupervisor{#1}}
\newcommand{\firstadvisor}[1]{\def\@firstadvisor{#1}}
\newcommand{\secondadvisor}[1]{\def\@secondadvisor{#1}}
\def\name#1{\gdef\@name{#1}}
\def\surname#1{\gdef\@surname{#1}}
\def\faculty#1{\gdef\@faculty{#1}}
\def\orientation#1{\gdef\@orientation{#1}}
\def\fieldofstudy#1{\gdef\@fieldofstudy{#1}}
\def\department#1{\gdef\@department{#1}}
\def\subtitle#1{\gdef\@subtitle{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}
\def\latinfaculty#1{\gdef\@latinfaculty{#1}}
\def\latinthesisdate#1{\gdef\@latinthesisdate{#1}}
\def\latinfield#1{\gdef\@latinfield{#1}}
\def\firstlatinsupervisor#1{\gdef\@firstlatinsupervisor{#1}}
\def\secondlatinsupervisor#1{\gdef\@secondlatinsupervisor{#1}}
\def\firstlatinadvisor#1{\gdef\@firstlatinadvisor{#1}}
\def\secondlatinadvisor#1{\gdef\@secondlatinadvisor{#1}}
\def\latinname#1{\gdef\@latinname{#1}}
\def\latinsurname#1{\gdef\@latinsurname{#1}}
\def\latinuniversity#1{\gdef\@latinuniversity{#1}}
\def\latinsubtitle#1{\gdef\@latinsubtitle{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\if@mscthesis
\@mscthesisfalse
\DeclareOption{msc}{\@mscthesistrue}
\ProcessOptions
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\vtitle}{
\begin{titlepage}
\centerline{{\includegraphics[height=2cm]{logo.png}}}
%--------------------------
\vskip .5cm
{
دانشگاه
\@university}\par
\vskip .5cm
{
دانشکده
\@faculty}
\par
\vfill
%--------------------------
\vskip 15mm
\if@mscthesis 
{\large\bfseries
پایان‌نامه کارشناسی ارشد
 }
\else
{\large\bfseries 
رساله دکتری
}
\fi
\par
%--------------------------
\vskip .5cm
{\large\bfseries 
رشته
\@fieldofstudy
\ifx\@orientation\undefined%
\else
\ 
گرایش
\@orientation
\fi}\par
\vskip 2.5cm
{\Huge\bfseries \@title}\par
\vskip 3mm
{\Large\bfseries\@subtitle}\par
%---------------------------
\vskip 3.5cm
{\large%
 نگارش 
}\par
  \vspace{7mm}
\par
{\Large\bfseries   \@name\ \ \@surname}\par
%--------------------------------------------------
\vskip 2.2cm
\large
{\ifx\@firstsupervisor\undefined%
\ifx\@secondsupervisor\undefined%
\else\fi
\else
\ifx\@secondsupervisor\undefined%
استاد راهنما
\vspace{7mm}
{\large\bfseries\par
\@firstsupervisor}
\else
\large
استادان راهنما
\vspace{7mm}
\par
{\large\bfseries \@firstsupervisor{} و \@secondsupervisor}
\fi\fi}
\vskip 1.75cm
\par\large
{\ifx\@firstadvisor\undefined%
\ifx\@secondadvisor\undefined%
\else\fi
\else
\ifx\@secondadvisor\undefined%
استاد مشاور
\vspace{7mm}
{\large\bfseries\par
\@firstadvisor}
\else

\large
استادان مشاور
\vspace{7mm}
\par
{\large\bfseries\@firstadvisor{} و \@secondadvisor}
\fi\fi}

\par
\vskip 3cm

{\large \@thesisdate}
\par
\vfill
%
\end{titlepage}%
}

\def\frame{\newpage
\thispagestyle{empty}
\begin{framed}\thispagestyle{empty}}
\def\endframe{\thispagestyle{empty}\end{framed}
\thispagestyle{empty}
\newpage
}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature{\vspace{1cm}
\begin{flushleft}
{\nastaliq \scriptsize \@name\ \@surname \\
\@thesisdate}
\end{flushleft}}

\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10

\newcommand{\latinvtitle}{%
\begin{titlepage}
\centerline{{\includegraphics[height=2cm]{logo.png}}}\par
%-------------------------------------
\vskip 8mm
\bfseries
\@latinuniversity \par
\vskip 8mm
\@latinfaculty\par
%-------------------------------------
\vskip 2.5cm
\large \textit{A thesis submitted in fulfillment of the requirements\\ for the degree of 
\if@mscthesis {Master of Science} \else {Doctor of Philosophy} \fi}\par
\vskip 8mm
% University requirement text
\textit{in the}\par
\vskip 1cm
\@latinfield\par
\vskip 2cm
\addtolength{\baselineskip}{5mm}
{\huge\titlefont \@latintitle} \par
\vskip 3mm
{\large\bfseries\@latinsubtitle}\par
%-------------------------------------
\vskip 3cm
{\bfseries By}\par
\vskip 1cm
{\Large %\supervisorfont
\rm\@latinname \; \@latinsurname}\par
%-------------------------------------
\vskip 3.5cm
\large
{\ifx\@firstlatinsupervisor\undefined%
\ifx\@secondlatinsupervisor\undefined%
\else\fi
\else
\ifx\@secondlatinsupervisor\undefined%
Supervisor
{\large\bfseries\par
\vskip 1cm
\@firstlatinsupervisor}
\else
\large
Supervisors
\par
\vskip 1cm
{\large\bfseries \@firstlatinsupervisor{} and \@secondlatinsupervisor}
\fi\fi}
\par
\vskip 2cm
\large
{\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
Advisor
{\large\bfseries\par
\vskip 1cm
\@firstlatinadvisor}
\else

\large
Advisors
\par
\vskip 1cm
{\large\bfseries\@firstlatinadvisor{} and \@secondlatinadvisor}
\fi\fi}

\par
\vskip 2.75cm

{\large\@latinthesisdate}
\par

\vfill

\end{titlepage}
}



%% 
%% Copyright © 2018-2019      by Amir Hossein Sharafi    am.hsn.sharafi@gmail.com 
%% 
%% Distributable under the LaTeX Project Public License,
%% version 1.3c or higher (your choice). The latest version of
%% this license is at: http://www.latex-project.org/lppl.txt
%% 
%% This work is "maintained" (as per LPPL maintenance status)
%% by Amir Hossein Sharafi.
%% 
%% 
%% 
%% 
%% Special thanks to Vafa Khalighi for his valuable hints and Vahid Damanafshan for this class is a changed version of VThesis.cls which is published by him.
%%
%% End of file `SBU_MSRT_A4.cls'.
